//
//  SCParserPlugin.h
//  BundleTest
//
//  Created by Tomas Franzén on 2006-09-09.
//  Copyright 2006 Lighthead Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SCParserPlugin : NSObject {
	NSData *data;
	NSString *dataString;
	NSStringEncoding encoding;
	NSString *MIMEType;
}

+ (id)parserWithData:(NSData*)dataToParse string:(NSString*)string ofMIMEType:(NSString*)type encoding:(NSStringEncoding)charset;
- (id)initWithData:(NSData*)dataToParse string:(NSString*)string MIMEType:(NSString*)type encoding:(NSStringEncoding)charset;

+ (NSString*)formatName;
+ (NSArray*)supportedMIMETypes;
+ (BOOL)usesBinaryRanges;

- (NSArray*)referenceURLs;
- (NSString*)title;
- (NSString*)baseURL;
@end
