//
//  SCChooserPopUpButton.h
//  SiteCrawler
//
//  Created by Tomas Franzén on 2007-01-07.
//  Copyright 2007 Lighthead Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class SCChooserPopUpButton;

@interface NSObject (SCChooserDelegate)
- (BOOL)chooser:(SCChooserPopUpButton*)chooser shouldAcceptFile:(NSString*)path;
- (NSOpenPanel*)openPanelForChooser:(SCChooserPopUpButton*)chooser;
- (void)chooser:(SCChooserPopUpButton*)chooser choseNewItem:(NSString*)path;
@end


@interface SCChooserPopUpButton : NSPopUpButton {
	IBOutlet NSObject *delegate;
	NSMenuItem *fileItem;
	NSString *filename;
}

- (NSString*)filename;
- (void)setFilename:(NSString*)file;
- (IBAction)choose:(id)sender;
@end
